[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# KeyboardStateToShiftState

Converts virtual key state codes to TShiftState values.

## Declaration

Source position: forms.pp line 1943

`function KeyboardStateToShiftState: TShiftState;`

## Function result

Set type with the TShiftStateEnum values representing the current key states.

## Description

Calls GetKeyState to get the virtual key codes for the following:

- VK_SHIFT
- VK_CONTROL
- VK_MENU
- VK_LWIN
- VK_RWIN

The return value is a set type with the TShiftState values corresponding to the virtual key codes. It may be an empty set when none of the virtual keys are detected.